org.jboss.jca.core.connectionmanager.pool.capacity

## Class DefaultCapacity

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.capacity.DefaultCapacity

- All Implemented Interfaces:
    Capacity

      public class DefaultCapacity
      extends java.lang.Object
      implements Capacity

  The default capacity policy
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CapacityDecrementer` | `DEFAULT_DECREMENTER` The default decrementer
    `static CapacityIncrementer` | `DEFAULT_INCREMENTER` The default incrementer
    `static Capacity` | `INSTANCE` The instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CapacityDecrementer` | `getDecrementer()` Get the decrementer policy
    `CapacityIncrementer` | `getIncrementer()` Get the incrementer policy

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Capacity INSTANCE

      The instance

    - #### DEFAULT_INCREMENTER

          public static final CapacityIncrementer DEFAULT_INCREMENTER

      The default incrementer

    - #### DEFAULT_DECREMENTER

          public static final CapacityDecrementer DEFAULT_DECREMENTER

      The default decrementer

  - ### Method Detail

    - #### getIncrementer

          public CapacityIncrementer getIncrementer()

      Get the incrementer policy
      Specified by:
        `getIncrementer` in interface `Capacity`
      Returns:
        The policy; can be `null` for container default policy

    - #### getDecrementer

          public CapacityDecrementer getDecrementer()

      Get the decrementer policy
      Specified by:
        `getDecrementer` in interface `Capacity`
      Returns:
        The policy; can be `null` for container default policy

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)